package ACME::FunkyDocs::Legacy;
use strict;
use warnings;

sub import {
    my $class = shift;
    if ($class eq __PACKAGE__) {
        unshift @_, 'ACME::FunkyDocs';
        goto &ACME::FunkyDocs::import;
    }

    die "This should not happen...";
}

package ACME::FunkyDocs;
use strict;
use warnings;

sub import { 1 }

1;

=pod

=head1 NAME

ACME::FunkyDocs::Legacy - Funky Docs Legacy!

=head1 DESCRIPTION

This is testing a funny doc situation to see how cpan will handle it.

=head1 COPYRIGHT

Copyright 2001-2008 Blah

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

See F<http://www.perl.com/perl/misc/Artistic.html>

=cut

1;
